Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85314 - up2date hangs when invoked from firstboot
Summary: up2date hangs when invoked from firstboot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-27 21:53 UTC by Tom Riddle
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 20:10:46 UTC


Attachments (Terms of Use)

Description Tom Riddle 2003-02-27 21:53:46 UTC
Description of problem:
Performed an install from CD using anaconda.  Selected Custom/Everything,
everything else left as default.  Installed packages ok, rebooted, registered
for rhn from within firstboot, changed up2date config to remove kernel* from and
add kde-i18n-* to skiplist, ran up2date.  It downloaded rpms ok, but hung on
installing first package (WindowMaker). By hung, I mean the window stopped
refreshing.  I telnet'ed in from another machine and discovered a couple of
curious things:

- the size of my RPM database was huge: Packages file was ~40Mb, Basename was
~10Mb, whereas on another identical install these files as ~16Mb and ~2.7Mb
- strace of the up2date process revealed that it was looping in:
select(0,NULL,NULL,NULL,{1,0}) = Timeout
- attempts to use rpm command resulted in the same strace

Version-Release number of selected component (if applicable):


How reproducible:
unable to reproduce


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.